#ifndef CCERTREQUESTHANDLER_H_
#define CCERTREQUESTHANDLER_H_

#include "CCertificateManager.h"
#include <vmime/vmime.hpp>
#include <list>

class CCertRequest;
class CDialogCertRequest;

typedef std::list< CDialogCertRequest* > TCertDialogList;

class CCertRequestHandler : public CBase
{
	public: /* Constructors & destructors */
	
		CCertRequestHandler(vmime::ref<CCertificateManager> aCertManager);
		virtual ~CCertRequestHandler();
		
	public: /* New methods */
	
		void incomingCertRequest(CCertRequest* aCertRequest);
		void processCertRequests();
		
	private: /* Data */
	
		TCertDialogList m_requestList;
		vmime::ref<CCertificateManager> m_certManager;
};

#endif /*CCERTREQUESTHANDLER_H_*/
