#ifndef CCERTHASHSET_H_
#define CCERTHASHSET_H_

#include "VMimeTypes.h"
#include <ext/hash_set>

struct stdCertHash {
	size_t operator()(VX509CertificateRef aCertRef) const;
};

struct stdCertCmp {
	bool operator()(VX509CertificateRef c1, VX509CertificateRef c2) const;
};

typedef __gnu_cxx::hash_set<VX509CertificateRef, stdCertHash, stdCertCmp> CCertHashSet;

#endif /*CCERTHASHSET_H_*/
